public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxc/
Date: Fri, 22 Oct 2021 08:39:17 +0000 (UTC)	[thread overview]
Message-ID: <1634891951.320db8b5ffcd4ce037c7d50ae5830010abc663b2.juippis@gentoo> (raw)

commit:     320db8b5ffcd4ce037c7d50ae5830010abc663b2
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 22 06:48:28 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Oct 22 08:39:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=320db8b5

app-emulation/lxc: add 4.0.11

 - add 'io_uring' support,
 - new "vanilla" upstream bash completions (non-patched),
 - update LICENSE.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/lxc/Manifest          |   2 +
 app-emulation/lxc/lxc-4.0.11.ebuild | 174 ++++++++++++++++++++++++++++++++++++
 app-emulation/lxc/metadata.xml      |   1 +
 3 files changed, 177 insertions(+)

diff --git a/app-emulation/lxc/Manifest b/app-emulation/lxc/Manifest
index 4733a92e509..bbe03a12e01 100644
--- a/app-emulation/lxc/Manifest
+++ b/app-emulation/lxc/Manifest
@@ -1,2 +1,4 @@
 DIST lxc-4.0.10.tar.gz 1515002 BLAKE2B 2a5b94ad767c8a11a5c34d19f12d812bd284337045ad5021c80a5f69be608085ac465edde8c385cc558e45638c9f061793c0c9db616ccbe0614554b4fbf62005 SHA512 ec3ccf344a91b50b30985562c54ad93d2db2d29c24d31da8e3a69e801c8bd23c1560274c1850c39eb7e984940ba86d3ebae75db136320d6bbc5eb03bda4c5318
 DIST lxc-4.0.10.tar.gz.asc 833 BLAKE2B 3dd6e8793d1b725ab9eb73d4fa78ce2767bf830fb70d6cc7052e70d2adbc46e4fcf6d986595322b64cb9c71417b801ef6ee3c7612c46dbeb10acba01a5bd69e0 SHA512 dd2d3ac4e066eca4e0358c9a2c371a227d3a0b5cf6e452fe34fa5c8cff46e25fa0555c9f707511a8603348fa969c1e7abf85ad7d27fdcaff613b733066861608
+DIST lxc-4.0.11.tar.gz 1543031 BLAKE2B 0309bbb96938e60e4cbe145fa0cc3c0a85d9154282a889d74167128b6166a280bb4d53df266990a529a98935ef2c12e8d2214e9a8f6cb293d47aa5808ebad82f SHA512 23287e468da8939334f4261bfcbb52eadcbe5806bd97896db38c84eb42f32143dc17bb8b9bb7f7f88584b72056553c9edc33ddb693a345ecf88f3177573fa9c0
+DIST lxc-4.0.11.tar.gz.asc 833 BLAKE2B 68804d1d5ad09e388541b3a95a98ca14202c513ea3544a7389a49f4e13ecffc17715bb023675134fd99047c727cffe09cbd0a89883054b82650ebd23366823a7 SHA512 49a54aaf018772db40e1dadc0a10e7d727a2b14b34c0a3c704fd3f7a12e60082abf4628cc0a489ee620ef2210c7542abbdb6d1432e4297ceef52cdd6b158a5f8

diff --git a/app-emulation/lxc/lxc-4.0.11.ebuild b/app-emulation/lxc/lxc-4.0.11.ebuild
new file mode 100644
index 00000000000..4af531d3e74
--- /dev/null
+++ b/app-emulation/lxc/lxc-4.0.11.ebuild
@@ -0,0 +1,174 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 linux-info flag-o-matic optfeature pam readme.gentoo-r1 systemd verify-sig
+
+DESCRIPTION="A userspace interface for the Linux kernel containment features"
+HOMEPAGE="https://linuxcontainers.org/ https://github.com/lxc/lxc"
+SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz
+	verify-sig? ( https://linuxcontainers.org/downloads/lxc/${P}.tar.gz.asc )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+LICENSE="GPL-2 LGPL-2.1 LGPL-3"
+SLOT="0"
+IUSE="apparmor +caps doc io-uring man pam seccomp selinux +ssl +tools verify-sig"
+
+RDEPEND="acct-group/lxc
+	acct-user/lxc
+	app-misc/pax-utils
+	sys-apps/util-linux
+	sys-libs/libcap
+	virtual/awk
+	caps? ( sys-libs/libcap )
+	io-uring? ( sys-libs/liburing:= )
+	pam? ( sys-libs/pam )
+	seccomp? ( sys-libs/libseccomp )
+	selinux? ( sys-libs/libselinux )
+	ssl? (
+		dev-libs/openssl:0=
+	)"
+DEPEND="${RDEPEND}
+	>=sys-kernel/linux-headers-4
+	apparmor? ( sys-apps/apparmor )"
+BDEPEND="doc? ( app-doc/doxygen[dot] )
+	man? ( app-text/docbook-sgml-utils )
+	verify-sig? ( app-crypt/openpgp-keys-linuxcontainers )"
+
+CONFIG_CHECK="~!NETPRIO_CGROUP
+	~CGROUPS
+	~CGROUP_CPUACCT
+	~CGROUP_DEVICE
+	~CGROUP_FREEZER
+
+	~CGROUP_SCHED
+	~CPUSETS
+	~IPC_NS
+	~MACVLAN
+
+	~MEMCG
+	~NAMESPACES
+	~NET_NS
+	~PID_NS
+
+	~POSIX_MQUEUE
+	~USER_NS
+	~UTS_NS
+	~VETH"
+
+ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
+ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) networking"
+ERROR_MEMCG="CONFIG_MEMCG: needed for memory resource control in containers"
+ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
+ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
+ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
+ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
+
+DOCS=( AUTHORS CONTRIBUTING MAINTAINERS NEWS README doc/FAQ.txt )
+
+pkg_setup() {
+	linux-info_pkg_setup
+}
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.0.5-omit-sysconfig.patch # bug 558854
+)
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	append-flags -fno-strict-aliasing
+
+	local myeconfargs=(
+		--bindir=/usr/bin
+		--localstatedir=/var
+		--sbindir=/usr/bin
+
+		--with-config-path=/var/lib/lxc
+		--with-distro=gentoo
+		--with-init-script=systemd
+		--with-rootfs-path=/var/lib/lxc/rootfs
+		--with-runtime-path=/run
+		--with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+
+		--disable-coverity-build
+		--disable-dlog
+		--disable-fuzzers
+		--disable-mutex-debugging
+		--disable-no-undefined
+		--disable-rpath
+		--disable-sanitizers
+		--disable-tests
+		--disable-werror
+
+		--enable-bash
+		--enable-commands
+		--enable-memfd-rexec
+		--enable-thread-safety
+
+		$(use_enable apparmor)
+		$(use_enable caps capabilities)
+		$(use_enable doc api-docs)
+		$(use_enable doc examples)
+		$(use_enable io-uring liburing)
+		$(use_enable man doc)
+		$(use_enable pam)
+		$(use_enable seccomp)
+		$(use_enable selinux)
+		$(use_enable ssl openssl)
+		$(use_enable tools)
+
+		$(use_with pam pamdir $(getpam_mod_dir))
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+
+	mkdir -p "${ED}"/$(get_bashcompdir) || die
+	mv "${ED}"/etc/bash_completion.d/* "${ED}"/$(get_bashcompdir)/ || die
+	rmdir  "${ED}"/etc/bash_completion.d/ || die
+
+	keepdir /etc/lxc /var/lib/lxc/rootfs /var/log/lxc
+	rmdir "${D}"/var/cache/lxc "${D}"/var/cache || die "rmdir failed"
+
+	find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
+
+	# Gentoo-specific additions!
+	newinitd "${FILESDIR}/${PN}.initd.8" ${PN}
+
+	# Remember to compare our systemd unit file with the upstream one
+	# config/init/systemd/lxc.service.in
+	systemd_newunit "${FILESDIR}"/${PN}_at.service.4.0.0 "lxc@.service"
+
+	DOC_CONTENTS="
+		For openrc, there is an init script provided with the package.
+		You should only need to symlink /etc/init.d/lxc to
+		/etc/init.d/lxc.configname to start the container defined in
+		/etc/lxc/configname.conf.
+
+		Correspondingly, for systemd a service file lxc@.service is installed.
+		Enable and start lxc@configname in order to start the container defined
+		in /etc/lxc/configname.conf."
+	DISABLE_AUTOFORMATTING=true
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+
+	elog "Please run 'lxc-checkconfig' to see optional kernel features."
+	elog
+	optfeature "automatic template scripts" app-emulation/lxc-templates
+	optfeature "Debian-based distribution container image support" dev-util/debootstrap
+	optfeature "snapshot & restore functionality" sys-process/criu
+}

diff --git a/app-emulation/lxc/metadata.xml b/app-emulation/lxc/metadata.xml
index 3ca99a3bb13..8c08b596f2e 100644
--- a/app-emulation/lxc/metadata.xml
+++ b/app-emulation/lxc/metadata.xml
@@ -11,6 +11,7 @@
   </maintainer>
   <use>
     <flag name="apparmor">Enable AppArmor support</flag>
+    <flag name="io-uring">Enable io_uring support, and use io_uring instead of epoll</flag>
     <flag name="tools">Build and install additional command line tools</flag>
   </use>
   <upstream>


             reply	other threads:[~2021-10-22  8:39 UTC|newest]

Thread overview: 105+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-22  8:39 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-16 20:22 [gentoo-commits] repo/gentoo:master commit in: app-emulation/lxc/ Joonas Niilola
2021-12-02  3:39 Sam James
2021-12-01  7:05 Joonas Niilola
2021-12-01  7:05 Joonas Niilola
2021-10-29  7:14 Joonas Niilola
2021-10-22 15:19 Joonas Niilola
2021-10-22  8:39 Joonas Niilola
2021-08-26  6:42 Joonas Niilola
2021-08-26  6:42 Joonas Niilola
2021-07-26  8:07 Yixun Lan
2021-07-19 11:15 Joonas Niilola
2021-07-19 11:15 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-06-01  8:43 Joonas Niilola
2021-05-05  5:11 Joonas Niilola
2021-05-05  5:11 Joonas Niilola
2021-05-01  5:38 Joonas Niilola
2021-05-01  5:38 Joonas Niilola
2021-04-30 19:04 Mikle Kolyada
2021-04-30  7:01 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-30  6:38 Joonas Niilola
2021-01-14  3:39 Joonas Niilola
2021-01-09 12:43 Joonas Niilola
2020-11-25 12:27 Joonas Niilola
2020-11-21  6:58 Joonas Niilola
2020-11-21  6:58 Joonas Niilola
2020-10-22  7:44 Joonas Niilola
2020-10-22  7:15 Joonas Niilola
2020-09-22  6:54 Joonas Niilola
2020-09-14  5:11 Joonas Niilola
2020-09-04  5:47 Joonas Niilola
2020-09-04  5:47 Joonas Niilola
2020-08-05  6:44 Joonas Niilola
2020-08-05  6:44 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-08-04 16:50 Joonas Niilola
2020-06-29  6:09 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-06-21 17:02 Joonas Niilola
2020-05-29 13:15 Joonas Niilola
2020-05-29 13:15 Joonas Niilola
2020-05-26 10:16 Joonas Niilola
2020-05-20 13:10 Joonas Niilola
2020-05-19 15:27 Stefan Strogin
2020-05-19 13:27 Joonas Niilola
2020-05-19  7:56 Joonas Niilola
2020-05-18 13:39 Joonas Niilola
2020-05-15  5:20 Joonas Niilola
2019-10-12 18:35 Mikle Kolyada
2019-07-05 19:05 Virgil Dupras
2019-02-17 17:59 Sergei Trofimovich
2018-12-31 18:55 Virgil Dupras
2018-12-31 18:55 Virgil Dupras
2018-12-23 15:52 Virgil Dupras
2018-11-26  1:50 Virgil Dupras
2018-10-06 23:05 Thomas Deutschmann
2018-10-05 12:49 Virgil Dupras
2018-08-23 17:54 Virgil Dupras
2018-08-22 12:35 Virgil Dupras
2018-08-13  0:55 Virgil Dupras
2018-08-07  8:50 Agostino Sarubbo
2018-08-06 22:20 Thomas Deutschmann
2018-07-30 21:17 Mikle Kolyada
2018-07-29 10:35 Sergei Trofimovich
2018-07-28 13:24 Thomas Deutschmann
2018-06-26  2:18 Virgil Dupras
2018-06-26  2:12 Virgil Dupras
2018-06-16  2:21 Virgil Dupras
2018-06-14  0:30 Virgil Dupras
2018-05-14  9:46 Mike Frysinger
2018-04-26  1:36 Matthias Maier
2018-04-15 19:39 Sergei Trofimovich
2018-04-15 18:58 Thomas Deutschmann
2018-04-14 17:58 Aaron Bauman
2018-04-04 21:05 Matthias Maier
2018-02-28 22:23 Sergei Trofimovich
2018-01-30 17:01 Matthias Maier
2017-12-20 13:09 Agostino Sarubbo
2017-12-19 15:46 Thomas Deutschmann
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-16  0:24 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-12-15 22:58 Matthias Maier
2017-07-26 14:56 Matt Thode
2017-06-19 17:03 Agostino Sarubbo
2017-05-29 13:46 Sergei Trofimovich
2017-02-22 10:49 Aaron Bauman
2017-02-03  8:51 Yixun Lan
2017-02-03  8:51 Yixun Lan
2016-12-08  9:39 Yixun Lan
2016-11-25 18:54 Agostino Sarubbo
2016-11-25 18:27 Agostino Sarubbo
2016-08-24 10:38 Pacho Ramos
2015-10-31 11:11 Michał Górny
2015-10-18 11:34 Markos Chandras
2015-10-05 17:11 Markos Chandras
2015-10-05 17:11 Markos Chandras
2015-09-23 12:51 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634891951.320db8b5ffcd4ce037c7d50ae5830010abc663b2.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox